Skip to main content

List Spending Plan Accounts

Use this endpoint to list all the spending plan accounts associated with the spending plan.

GET
/users/{user_guid}/spending_plans/{spending_plan_guid}/spending_plan_accounts

Request sample

Language:shell

_10
curl -i -X GET 'https://int-api.mx.com/users/USR-72086f59-6684-4adf-8f29-c4d32db43cd7/spending_plans/SPL-dbfe201d-c341-4bff-93c0-62a918d0b600/spending_plan_accounts' \
_10
-u 'client_id:api_key' \
_10
-H 'Accept: application/vnd.mx.api.v2beta+json' \
_10
-H 'Content-Type: application/json'

Response sample

200
Language:json

_19
{
_19
"spending_plan_accounts": [
_19
{
_19
"created_at": "2023-04-27T23:14:16Z",
_19
"updated_at": "2023-04-27T23:14:16Z",
_19
"account_guid": "ACT-97d3948f-ebe7-434a-9bd0-20b29d67c9d4",
_19
"client_guid": "CLT-024984fc-a6a7-42ee-b363-dab9343e3f72",
_19
"guid": "SPA-c76e4a85-b2c4-4335-82b7-8f8b8f28c35a",
_19
"spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
_19
"user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
_19
}
_19
],
_19
"pagination": {
_19
"current_page": 1,
_19
"per_page": 25,
_19
"total_entries": 1,
_19
"total_pages": 1
_19
}
_19
}